# WOK
TKWOK
EDL

# EDL_MapOfVariable Class Reference

`#include <EDL_MapOfVariable.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | EDL_MapOfVariable (const Standard_Integer NbBuckets=1)
Standard_EXPORT EDL_MapOfVariable & | Assign (const EDL_MapOfVariable &Other)
EDL_MapOfVariable & | operator= (const EDL_MapOfVariable &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~EDL_MapOfVariable ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_AsciiString &K, const EDL_Variable &I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_AsciiString &K)
Standard_EXPORT const EDL_Variable & | Find (const TCollection_AsciiString &K) const
const EDL_Variable & | operator() (const TCollection_AsciiString &K) const
Standard_EXPORT EDL_Variable & | ChangeFind (const TCollection_AsciiString &K)
EDL_Variable & | operator() (const TCollection_AsciiString &K)

## Private Member Functions

Standard_EXPORT | EDL_MapOfVariable (const EDL_MapOfVariable &Other)

## Constructor & Destructor Documentation

Standard_EXPORT EDL_MapOfVariable::EDL_MapOfVariable | ( | const Standard_Integer | NbBuckets = `1` | ) |

EDL_MapOfVariable::~EDL_MapOfVariable | ( |  | ) | `[inline]`

Standard_EXPORT EDL_MapOfVariable::EDL_MapOfVariable | ( | const EDL_MapOfVariable & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT EDL_MapOfVariable& EDL_MapOfVariable::Assign | ( | const EDL_MapOfVariable & | Other | ) |

Standard_EXPORT Standard_Boolean EDL_MapOfVariable::Bind | ( | const TCollection_AsciiString & | K,
|  | const EDL_Variable & | I
| ) |

Standard_EXPORT EDL_Variable& EDL_MapOfVariable::ChangeFind | ( | const TCollection_AsciiString & | K | ) |

Standard_EXPORT void EDL_MapOfVariable::Clear | ( |  | ) |

Standard_EXPORT const EDL_Variable& EDL_MapOfVariable::Find | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Boolean EDL_MapOfVariable::IsBound | ( | const TCollection_AsciiString & | K | ) | const

void EDL_MapOfVariable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* EDL_MapOfVariable::operator new | ( | size_t | size | ) | `[inline]`

void* EDL_MapOfVariable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

EDL_Variable& EDL_MapOfVariable::operator() | ( | const TCollection_AsciiString & | K | ) | `[inline]`

const EDL_Variable& EDL_MapOfVariable::operator() | ( | const TCollection_AsciiString & | K | ) | const`[inline]`

EDL_MapOfVariable& EDL_MapOfVariable::operator= | ( | const EDL_MapOfVariable & | Other | ) | `[inline]`

Standard_EXPORT void EDL_MapOfVariable::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean EDL_MapOfVariable::UnBind | ( | const TCollection_AsciiString & | K | ) |

The documentation for this class was generated from the following file:

- EDL_MapOfVariable.hxx